import { UseRequestPlugin } from '@vue-hooks-plus/use-request/dist/types/types';
export interface FetchingPluginType {
    /**
     * useRequest params
     * @param params request params
     * @type (params: any[]) => string
     * @returns string
     */
    fetchingKey?: (params: any[]) => string;
    /**
     *
     * @param current current fetch data
     * @param record all fetch data
     * @type (current: any, record: any) => void
     * @returns void
     */
    onFetching?: (current: any, record: any) => void;
    /**
     *
     * @param _isFetching all fetching loading status
     * @type (_isFetching: boolean) => void
     * @returns void
     */
    isFetching?: (_isFetching: boolean) => void;
}
export declare const useFetchingPlugin: UseRequestPlugin<any, [], FetchingPluginType>;
